package client.renderer.model;

public class ModelArmor extends ModelBiped {
    public ModelArmor(float size, int arms, int legs)
    {
        super(64, 32, arms, legs);
        this.bipedHead = new ModelRenderer(this, 0, 0);
        this.bipedHead.addBox(-4.0F, -8.0F, -4.0F, 8, 8, 8, size);
        this.bipedHead.setRotationPoint(0.0F, 24.0f - arms - legs, 0.0F);
        this.bipedHeadwear = new ModelRenderer(this, 32, 0);
        this.bipedHeadwear.addBox(-4.0F, -8.0F, -4.0F, 8, 8, 8, size + 0.5F);
        this.bipedHeadwear.setRotationPoint(0.0F, 24.0f - arms - legs, 0.0F);
        this.bipedBody = new ModelRenderer(this, 16, 16);
        this.bipedBody.addBox(-4.0F, 0.0F, -2.0F, 8, arms, 4, size);
        this.bipedBody.setRotationPoint(0.0F, 24.0f - arms - legs, 0.0F);
        this.bipedRightArm = new ModelRenderer(this, 40, 16);
        this.bipedRightArm.addBox(-3.0F, -2.0F, -2.0F, 4, arms, 4, size);
        this.bipedRightArm.setRotationPoint(-5.0F, 26.0f - arms - legs, 0.0F);
        this.bipedLeftArm = new ModelRenderer(this, 40, 16);
        this.bipedLeftArm.mirror = true;
        this.bipedLeftArm.addBox(-1.0F, -2.0F, -2.0F, 4, arms, 4, size);
        this.bipedLeftArm.setRotationPoint(5.0F, 26.0f - arms - legs, 0.0F);
        this.bipedRightLeg = new ModelRenderer(this, 0, 16);
        this.bipedRightLeg.addBox(-2.0F, 0.0F, -2.0F, 4, legs, 4, size);
        this.bipedRightLeg.setRotationPoint(-1.9F, 36.0f - arms - legs, 0.0F);
        this.bipedLeftLeg = new ModelRenderer(this, 0, 16);
        this.bipedLeftLeg.mirror = true;
        this.bipedLeftLeg.addBox(-2.0F, 0.0F, -2.0F, 4, legs, 4, size);
        this.bipedLeftLeg.setRotationPoint(1.9F, 36.0f - arms - legs, 0.0F);
    }
}
